import streamlit as st

st.title('Results')

st.header('Results of Logistic Regression')
with st.container():
    st.subheader('Train')
    st.image("results/car_evaluation_train.png")

    st.subheader('Test')
    st.image("results/car_evaluation.png")

st.header('Results of Neural Networks')
with st.container():
    model = st.selectbox('select model', ["model_1", "model_2"])
    st.subheader('Test')
    if model == "model_1":
        st.image("results/bz100_dz4_lr001_plot.png")
    else: st.image("results/bz100_dz4_lr0001_plot.png")
    if st.checkbox("show model specifications"):
        rows = st.columns([1,2,2])
        rows[0].write('batch size: 100')
        rows[1].write('hidden dimension: [84, 63, 42, 21]')
        if model == "model_1":
            rows[2].write("learning_rate: 0.001")
        else: rows[2].write("learning_rate: 0.0001")
